classification
Title: Upgrade installers to OpenSSL 1.0.2h
Type: Stage: resolved
Components: Windows Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alex, benjamin.peterson, larry, ned.deily, paul.moore, python-dev, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: security_issue

Created on 2016-05-03 14:19 by alex, last changed 2017-09-08 02:35 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3447 closed vstinner, 2017-09-08 02:35
Messages (9)
msg264731 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2016-05-03 14:19
https://www.openssl.org/news/secadv/20160503.txt
msg267353 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-05 00:25
New changeset d858eadf2602 by Ned Deily in branch '2.7':
Issue #26930: Update OS X 32-bit-only installer builds to use OpenSSL 1.0.2h.
https://hg.python.org/cpython/rev/d858eadf2602

New changeset 5462d455215a by Ned Deily in branch '3.5':
Issue #26930: Update OS X 32-bit-only installer builds to use OpenSSL 1.0.2h.
https://hg.python.org/cpython/rev/5462d455215a

New changeset edf5ae3162ef by Ned Deily in branch 'default':
Issue #26930: merge from 3.5
https://hg.python.org/cpython/rev/edf5ae3162ef
msg268633 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-15 22:17
New changeset 399d49d4acae by Zachary Ware in branch '2.7':
Issue #26930: Update Windows build to OpenSSL 1.0.2h
https://hg.python.org/cpython/rev/399d49d4acae

New changeset 155e665428c6 by Zachary Ware in branch '3.5':
Issue #26930: Update Windows build to OpenSSL 1.0.2h
https://hg.python.org/cpython/rev/155e665428c6

New changeset 3d726dbfca31 by Zachary Ware in branch 'default':
Issue #26930: Merge with 3.5
https://hg.python.org/cpython/rev/3d726dbfca31
msg268634 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-06-15 22:21
Finally got this done.

Benjamin and Larry, it would probably be best if this made it into 2.7.12 and 3.5.2.  Is there anything special I need to do to make that happen?

(My sincere apologies for not getting it done before the RCs.)
msg268635 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-06-15 22:40
Yes, I'll accept this for 3.5.2 final.

Steve: do I need to do anything besides cherry-pick these revisions?
msg268638 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-06-16 04:02
That should be enough from your side, but let me run a test build before you tag in case we need to fix anything.
msg268925 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-06-20 20:18
Test build went fine, was validated in another thread.
msg269047 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 06:13
New changeset ad037bba60bb by Zachary Ware in branch '2.7':
Issue #26930: Update Windows build to OpenSSL 1.0.2h
https://hg.python.org/cpython/rev/ad037bba60bb
msg269343 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-27 03:02
New changeset e1e5691d02d8 by Zachary Ware in branch '3.5':
Issue #26930: Update Windows build to OpenSSL 1.0.2h
https://hg.python.org/cpython/rev/e1e5691d02d8
History
Date User Action Args
2017-09-08 02:35:37vstinnersetpull_requests: + pull_request3446
2016-06-27 03:02:13python-devsetmessages: + msg269343
2016-06-22 06:13:56python-devsetmessages: + msg269047
2016-06-20 20:18:58steve.dowersetmessages: + msg268925
2016-06-20 20:18:34steve.dowersetstatus: open -> closed
2016-06-16 04:02:39steve.dowersetmessages: + msg268638
2016-06-15 22:40:39larrysetmessages: + msg268635
2016-06-15 22:34:18ned.deilysetpriority: critical -> release blocker
2016-06-15 22:21:18zach.waresetnosy: + larry, benjamin.peterson
messages: + msg268634

resolution: fixed
stage: needs patch -> resolved
2016-06-15 22:17:18python-devsetmessages: + msg268633
2016-06-05 00:27:37ned.deilysetpriority: normal -> critical
stage: needs patch
components: + Windows
versions: + Python 2.7, Python 3.5, Python 3.6
2016-06-05 00:25:01python-devsetnosy: + python-dev
messages: + msg267353
2016-05-03 14:19:34alexcreate